# Apache Pekko Projections

Apache Pekko Projections provides an abstraction for consuming a stream of `Envelope` (where `Envelope` contains a payload and a trackable offset). This streams can originate from persisted events, Kafka topics,
or other Apache Pekko connectors. 

Apache Pekko Projections also provides tools to track, restart and distribute these projections.

## Documentation

Apache Pekko Projections are documented at https://pekko.apache.org/docs/pekko-projection/current/.

To keep up with the latest releases check out [Pekko Projections releases](https://pekko.apache.org/docs/pekko-projection/current/release-notes.html).

## Community

You can join these forums and chats to discuss and ask Pekko and Pekko connector related questions:

- [GitHub discussions](https://github.com/apache/pekko-projection/discussions): for questions and general discussion.
- [Pekko users mailing list](https://lists.apache.org/list.html?users@pekko.apache.org): for Pekko usage discussions.
- [Pekko dev mailing list](https://lists.apache.org/list.html?dev@pekko.apache.org): for Pekko development discussions.
- [GitHub issues](https://github.com/apache/pekko-projection/issues): for bug reports and feature requests. Please search the existing issues before creating new ones. If you are unsure whether you have found a bug, consider asking in GitHub discussions or the mailing list first.

## Contributing

Contributions are very welcome. If you have an idea on how to improve Pekko, don't hesitate to create an issue or submit a pull request.

## License

Apache Pekko Projections is available under the Apache License, version 2.0. See [LICENSE](https://github.com/apache/pekko-projection/blob/main/LICENSE) file for details.
